#
# spec file for package tclx (Version 8.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcl-devel tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           tclx
BuildRequires:  tcl-devel
Version:        8.4
Release:        345.2
Group:          Development/Languages/Tcl
Summary:        TclX - Extended Tcl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
License:        BSD, Other License(s), see package
Autoreqprov:    on
Source0:        %name%version-20050712.tar.bz2
Patch0:         %name.patch

%description 
Extended Tcl is a superset of standard Tcl. Extended Tcl has three
basic functional areas: A set of new commands, a Tcl shell (a Unix
shell-style command line and interactive environment), and a
user-extensible library of useful Tcl procedures, any of which can be
automatically loaded on the first attempt to execute it.

In addition, a detailed help system is available for Tcl/Tk: tclhelp.



Authors:
--------
    Karl Lehenbauer and Mark Diekhan <info@NeoSoft.com>

%debug_package
%prep
%setup -q -n %name%version
%patch0

%build
%{?suse_update_config:%{suse_update_config -f tclconfig}}
autoconf
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
	--with-tcl=%_libdir \
	--with-help \
	--enable-threads
make

%install
make install DESTDIR=%buildroot tclscriptdir=%tclscriptdir

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*

%tclscriptdir
%doc %_mandir/mann/*
%doc %_mandir/man3/*
%_prefix/include/*
%doc CHANGES ChangeLog README doc/CONVERSION-NOTES

%changelog -n tclx
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 - ro@suse.de
- fix typo in tcl configure script
* Tue Jul 26 2005 - max@suse.de
- New CVS snapshot: tclx8.4-20050712
- Moved script library to /usr/share/tcl .
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Fri Apr 30 2004 - ro@suse.de
- added -fno-strict-aliasing
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Nov 26 2002 - max@suse.de
- New CVS snapshot: tclx8.4-20021126
- Separated the TclX sources from the tcl package. For the older
  history of this package see the change log of the tcl package.
